## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# generated by cabal-rpm-2.2.1
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

%global pkg_name cmark-gfm
%global pkgver %{pkg_name}-%{version}
%{?haskell_setup}

%global cmarkgfm_release 0.29.0.gfm.13

%bcond_without tests

Name:           ghc-%{pkg_name}
Version:        0.2.6
Release:        %autorelease
Summary:        Fast, accurate GitHub Flavored Markdown parser and renderer

License:        BSD-3-Clause
Url:            https://hackage.haskell.org/package/%{pkg_name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkgver}/%{pkg_name}.cabal#/%{pkgver}.cabal
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  dos2unix
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-text-devel
%if %{with ghc_prof}
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-text-prof
%endif
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
%endif
# End cabal-rpm deps
Provides:       bundled(cmark-gfm) = %{cmarkgfm_release}

%description
This package provides Haskell bindings for <https://github.com/github/cmark-gfm
libcmark-gfm>, the reference parser for <https://github.github.com/gfm/ GitHub
Flavored Markdown>, a fully specified variant of Markdown. It includes sources
for libcmark-gfm (%{cmarkgfm_release}) and does not require prior installation
of the C library.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
BuildArch:      noarch
Requires:       ghc-filesystem

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif


%if %{with ghc_prof}
%package prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Supplements:    (%{name}-devel and ghc-prof)

%description prof
This package provides the Haskell %{pkg_name} profiling library.
%endif


%prep
# Begin cabal-rpm setup:
%setup -q -n %{pkgver}
dos2unix -k -n %{SOURCE1} %{pkg_name}.cabal
# End cabal-rpm setup
cabal-tweak-dep-ver bytestring 0.11.5 0.10


%build
# Begin cabal-rpm build:
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_lib_install
# End cabal-rpm install


%check
%if %{with tests}
%cabal_test
%endif


%files -f %{name}.files
# Begin cabal-rpm files:
%license LICENSE
# End cabal-rpm files


%files devel -f %{name}-devel.files
%doc README.md changelog


%if %{with haddock}
%files doc -f %{name}-doc.files
%license LICENSE
%endif


%if %{with ghc_prof}
%files prof -f %{name}-prof.files
%endif


%changelog
* Sat Jul 20 2024 Jens Petersen <petersen@redhat.com> 0.2.6-7
- revise .cabal file

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> 0.2.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jul 15 2024 Jens Petersen <petersen@redhat.com> 0.2.6-5
- refresh to cabal-rpm-2.2.1

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> 0.2.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> 0.2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Aug 29 2023 Jens Petersen <petersen@redhat.com> 0.2.6-2
- also remove unneeded cmake and c++ BRs

* Tue Aug 29 2023 Jens Petersen <petersen@redhat.com> 0.2.6-1
- update to 0.2.6 release

* Sun Jul 30 2023 Jens Petersen <petersen@redhat.com> 0.2.5-8
- the cmake needs c++

* Sun Jul 30 2023 Jens Petersen <petersen@redhat.com> 0.2.5-7
- use cmake to generate more upstream C header files

* Sun Jul 30 2023 Jens Petersen <petersen@redhat.com> 0.2.5-6
- update C source to 0.29.0.gfm.13

* Sun Jul 30 2023 Jens Petersen <petersen@redhat.com> 0.2.5-5
- add macro for upstream C version

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.2.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Feb 16 2023 Jens Petersen <petersen@redhat.com> - 0.2.5-2
- refresh to cabal-rpm-2.1.0 with SPDX migration

* Wed Oct 26 2022 Jens Petersen <petersen@redhat.com> - 0.2.5-1
- 0.2.4 updates the C library to 0.29.0.gfm.6 which fixes CVE-2022-39209
  https://github.com/github/cmark-gfm/security/advisories/GHSA-cgh3-p57x-9q7q
- 0.2.5 includes support for footnotes
- https://hackage.haskell.org/package/cmark-gfm-0.2.5/changelog

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jun 17 2022 Jens Petersen <petersen@redhat.com> - 0.2.3-2
- rebuild

* Sun Mar 13 2022 Jens Petersen <petersen@redhat.com> - 0.2.3-1
- 0.2.3 bundles the C cmark-gfm-0.29.0.gfm.3 library which fixes
  https://github.com/github/cmark-gfm/security/advisories/GHSA-mc3g-88wq-6f4x

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Aug 06 2021 Jens Petersen <petersen@redhat.com> - 0.2.2-4
- rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Sep 17 11:52:52 +08 2020 Jens Petersen <petersen@redhat.com> - 0.2.2-1
- https://github.com/kivikakk/cmark-gfm-hs/releases/tag/0.2.2
- updates cbits to cmark-gfm-0.29.0.gfm.1 for CVE-2020-5238 (#1854329)
  https://github.com/github/cmark-gfm/security/advisories/GHSA-7gc6-9qr5-hc85

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 17 2020 Jens Petersen <petersen@redhat.com> - 0.2.1-2
- refresh to cabal-rpm-2.0.6

* Fri Feb 14 2020 Jens Petersen <petersen@redhat.com> - 0.2.1-1
- update to 0.2.1

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Jens Petersen <petersen@redhat.com> - 0.1.8-1
- update to 0.1.8

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Feb 21 2019 Jens Petersen <petersen@redhat.com> - 0.1.6-1
- update to 0.1.6

* Sun Feb 17 2019 Jens Petersen <petersen@redhat.com> - 0.1.4-3
- refresh to cabal-rpm-0.13

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Jul 22 2018 Jens Petersen <petersen@redhat.com> - 0.1.4-1
- update to 0.1.4
- provide bundled(cmark)

* Mon Jul 16 2018 Jens Petersen <petersen@redhat.com> - 0.1.3-6
- add patch to fix tests on big endian

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun  1 2018 Jens Petersen <petersen@redhat.com> - 0.1.3-4
- disable testsuite to restore the package hash

* Wed May 30 2018 Jens Petersen <petersen@redhat.com> - 0.1.3-3
- bump release over pandoc

* Mon May 28 2018 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.1.3-1
- spec file generated by cabal-rpm-0.12.3
- tests fail on big endian

